# Visualization
TKV3d
Visual3d

# Visual3d_ClipPlane Class Reference

This class allows the definition and update
of clipping planes in the space model.
.

`#include <Visual3d_ClipPlane.hxx>`

## Public Member Functions

Standard_EXPORT | Visual3d_ClipPlane (const Standard_Real ACoefA, const Standard_Real ACoefB, const Standard_Real ACoefC, const Standard_Real ACoefD)
| Creates a clipping plane from the equation : <acoefa>*X + <acoefb>*Y + <acoefc>*Z + <acoefd> = 0.0 .
Standard_EXPORT void | SetPlane (const Standard_Real ACoefA, const Standard_Real ACoefB, const Standard_Real ACoefC, const Standard_Real ACoefD)
| Modifies the plane equation. .
Standard_EXPORT void | Plane (Standard_Real &ACoefA, Standard_Real &ACoefB, Standard_Real &ACoefC, Standard_Real &ACoefD) const
| Returns the values of the clipping plane <me>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | Limit ()
| Maximum number of activatable clipping planes. .

## Private Member Functions

Standard_EXPORT Standard_Integer | Identification () const
| Returns the plane identification. .

## Private Attributes

Graphic3d_CPlane | MyCPlane

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_ClipPlane::Visual3d_ClipPlane | ( | const Standard_Real | ACoefA,
|  | const Standard_Real | ACoefB,
|  | const Standard_Real | ACoefC,
|  | const Standard_Real | ACoefD
| ) |

## Member Function Documentation

Standard_EXPORT const Visual3d_ClipPlane::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Visual3d_ClipPlane::Identification | ( |  | ) | const`[private]`

static Standard_EXPORT Standard_Integer Visual3d_ClipPlane::Limit | ( |  | ) | `[static]`

Standard_EXPORT void Visual3d_ClipPlane::Plane | ( | Standard_Real & | ACoefA,
|  | Standard_Real & | ACoefB,
|  | Standard_Real & | ACoefC,
|  | Standard_Real & | ACoefD
| ) | const

Standard_EXPORT void Visual3d_ClipPlane::SetPlane | ( | const Standard_Real | ACoefA,
|  | const Standard_Real | ACoefB,
|  | const Standard_Real | ACoefC,
|  | const Standard_Real | ACoefD
| ) |

## Field Documentation

Graphic3d_CPlane Visual3d_ClipPlane::MyCPlane `[private]`

The documentation for this class was generated from the following file:

- Visual3d_ClipPlane.hxx